D4Science Infrastructure - Task #6309

D4Science Infrastructure migration to Java 8
Jan 09, 2017 03:35 PM - Massimiliano Assante

Status: Closed Start date: Jan 09, 2017
Priority: Normal Due date: Feb 24, 2017
Assignee: Gabriele Giammatteo % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Migrating to Java 8
Infrastructure: Development, Pre-Production,

Production
Description

Now that gCube 4.2 is released, as agreed in the last TCom [1] we should start the migration to Java 8 (starting with the
Development infrastructure).

We also agreed that:

1. Any unexpected behaviours should be communicated by the gCube VRE Social Facility;

2. ENG should summarise the discussion and best practices in a dedicated Wiki page;

3. the memory related parameters assigned to the vm have changed (including the behaviour) this deserves in depth
investigations;

1]
https://support.d4science.org/projects/bluebridge/wiki/3rd_TCom_Meeting_18-21_October_2016_-_ Pisa_(ltaly)_#BlueBRIDGE-oper

ation-report

.S.
ﬁm going to open separate ticket about the 3 points above and link it to this ticket.
Subtasks:
Task # 6307: Migrate preproduction infrastructure nodes to Java 8 Closed
Task # 6308: Migrate production infrastructure nodes to Java 8 Closed
Task # 6306: Migrate development infrastructure nodes to Java 8 Closed
Task # 8380: Testing activities on the development infrastructure with Java 8 Closed
Task # 8424: Dataminer service to test : dataminer1-d-d4s.d4science.org. Closed
Task # 8426: Dataminer service to test : dataminer2-d-d4s.d4science.org Closed
Task # 8427: Quota service to test : quota-d-d4s.d4science.org Closed
Task # 8428: Accounting service to test: accounting-service-d.d4science.org Closed
Task # 8429: social-networking-ws service to test : socialnetworking-d-d4s.d4science.org Closed
Task # 8430: gcube-oauth service to test : socialnetworking-d-d4s.d4science.org Closed
Task # 8431: resource-checker-se-plugin service to test : resource-checker-d-d4s.d4scie... Closed
Task # 8433: social-data-indexer-se-plugin service to test : node22.d4science.org Closed
Task # 8434: tabular-data-manager service to test : tabulardata-devsec.org Closed
Task # 8435: tabular-data-manager service to update : gcube@node?7.d.d4science.research-... Closed
Task # 8438: species-product-discovery to test : spd-devsec.d4science.org Closed
Task # 8439: ckan-connector to test : ckan-d-d4s.d4science.org Closed
Task # 8440: RConnector to test : rstudio-dev.d4science.org Closed
Task # 8443: Home Library Webapp to test : node11.d.d4science.research-infrastructure... Closed
Task # 8444: sdi-service to test : sdi-d-d4s.d4science.org Closed
Task # 8445: FHNManager Service to test : node2-d-d4s.d4science.org Closed
Task # 8446: DataManager Pool Manager Service to test : node2-d-d4s.d4science.org Closed
Task # 8449: Resource Registry (New IS) to test : resourceregistry1-d.d4science.org Closed
Task # 8451: Smart Executor to test : smartexecutori-d-d4s.d4science.org Closed
Task # 8452: Smart Executor to test : node6.d4science.org Closed
Task # 8453: Smart Executor to test : node17.d4science.org Closed
Task # 8454: Smart Executor to test : node19.d4science.org
Task # 8455: Smart Executor to update : node22.d4science.org
Task # 8660: tabular-data-manager service to test : tabulardata-devnext-d.dev.d4science...

Task # 8675: Authorization service to test: auth-d.dev.d4science.org

Task # 6312: Java 8 unexpected behaviours should be communicated by the gCube VRE Socia...

Closed
Rejected
Closed
Closed
Closed

History

#1 - Jan 09, 2017 03:50 PM - Massimiliano Assante

- Description updated

#2 - May 05, 2017 01:32 PM - Maria Di Girolamo
- Due date changed from Feb 24, 2017 to May 05, 2017

due to changes in a related task

#3 - May 09, 2017 10:26 AM - Maria Di Girolamo
- Due date changed from Feb 24, 2017 to May 09, 2017

due to changes in a related task

#4 - May 12, 2017 05:51 PM - Roberto Cirillo
- Due date changed from Feb 24, 2017 to May 09, 2017

due to changes in a related task

#5 - May 18, 2017 12:03 PM - Massimiliano Assante

- Status changed from New to Planned

#6 - Nov 26, 2018 10:03 AM - Massimiliano Assante

- Status changed from Planned to In Progress

the ticket is old and will be closed. the migration was performed since a while ...

#7 - Nov 26, 2018 10:03 AM - Massimiliano Assante
- Tracker changed from Upgrade to Task

- Status changed from In Progress to Closed
